NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.MorphMeshCageBuilder Class Reference

Represents a Features.MorphMeshCageBuilder builder. More...

Inheritance diagram for NXOpen.Features.MorphMeshCageBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  Types {
  WrapBody, Block, Cylinder, Tube,
  Torus
}
 Type of primitive. More...
 

Public Member Functions

unsafe void UpdateMesh ()
 Updates the mesh data after changes in the origin. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe int CylinderCircularSegments [get, set]
 Returns or sets the number of segments in circular direction for cylinder. More...
 
unsafe int CylinderLinearSegments [get, set]
 Returns or sets the number of segments in linear direction for cylinder. More...
 
unsafe NXOpen.Expression Height [get]
 Returns the height. More...
 
unsafe NXOpen.Expression HeightZ [get]
 Returns the height in Z direction. More...
 
unsafe NXOpen.Expression InnerSize [get]
 Returns the inner size of torus. More...
 
unsafe NXOpen.Expression LengthX [get]
 Returns the length in X direction. More...
 
unsafe NXOpen.SelectNXObjectList MeshBodies [get]
 Returns the mesh bodies. More...
 
unsafe NXOpen.Point Origin [get, set]
 Returns or sets the origin. More...
 
unsafe NXOpen.Expression OuterSize [get]
 Returns the outer size of torus. More...
 
unsafe
NXOpen.Features.Subdivision.SelectCageObjectData 
PathObject [get]
 Returns the object as path of tube. More...
 
unsafe NXOpen.Expression Size [get]
 Returns the size. More...
 
unsafe int TorusCircularSegments [get, set]
 Returns or sets the number of segments in circular direction for torus. More...
 
unsafe int TorusRadialSegments [get, set]
 Returns or sets the number of segments in radial direction for torus. More...
 
unsafe
NXOpen.GeometricUtilities.TransformerData 
Transformer [get]
 Returns the transformation tool. More...
 
unsafe int TubeSegments [get, set]
 Returns or sets the number of tube segments. More...
 
unsafe NXOpen.Expression TubeSize [get]
 Returns the size of tube in cross section. More...
 
unsafe
NXOpen.Features.MorphMeshCageBuilder.Types 
Type [get, set]
 Returns or sets the type. More...
 
unsafe NXOpen.Expression WidthY [get]
 Returns the width in Y direction. More...
 
unsafe int XSegments [get, set]
 Returns or sets the number of segments in X direction. More...
 
unsafe int YSegments [get, set]
 Returns or sets the number of segments in Y direction. More...
 
unsafe int ZSegments [get, set]
 Returns or sets the number of segments in Z direction. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Features.MorphMeshCageBuilder builder.

To create a new instance of this class, use NXOpen.Features.MorphMeshCollection.CreateMorphMeshCageBuilder

Default values.

Property Value

CylinderCircularSegments

8

CylinderLinearSegments

1

Height.Value

100 (millimeters part), 4 (inches part)

HeightZ.Value

100 (millimeters part), 4 (inches part)

InnerSize.Value

50 (millimeters part), 2 (inches part)

LengthX.Value

100 (millimeters part), 4 (inches part)

OuterSize.Value

100 (millimeters part), 4 (inches part)

Size.Value

100 (millimeters part), 4 (inches part)

TorusCircularSegments

4

TorusRadialSegments

8

TubeSegments

4

TubeSize.Value

50 (millimeters part), 2 (inches part)

WidthY.Value

100 (millimeters part), 4 (inches part)

XSegments

3

YSegments

3

ZSegments

3

Created in NX1872.0.0

Member Enumeration Documentation

Type of primitive.

Enumerator
WrapBody 
Block 
Cylinder 
Tube 
Torus 

Member Function Documentation

unsafe void NXOpen.Features.MorphMeshCageBuilder.UpdateMesh ( )
inline

Updates the mesh data after changes in the origin.

Created in NX1872.0.0

License requirements: None.

Property Documentation

unsafe int NXOpen.Features.MorphMeshCageBuilder.CylinderCircularSegments
getset

Returns or sets the number of segments in circular direction for cylinder.

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: nx_polygon_modeling (" NX Polygon Modeling")

unsafe int NXOpen.Features.MorphMeshCageBuilder.CylinderLinearSegments
getset

Returns or sets the number of segments in linear direction for cylinder.

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: nx_polygon_modeling (" NX Polygon Modeling")

unsafe NXOpen.Expression NXOpen.Features.MorphMeshCageBuilder.Height
get

Returns the height.

Created in NX1872.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.MorphMeshCageBuilder.HeightZ
get

Returns the height in Z direction.

Created in NX1872.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.MorphMeshCageBuilder.InnerSize
get

Returns the inner size of torus.

Created in NX1872.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.MorphMeshCageBuilder.LengthX
get

Returns the length in X direction.

Created in NX1872.0.0

License requirements: None.

unsafe NXOpen.SelectNXObjectList NXOpen.Features.MorphMeshCageBuilder.MeshBodies
get

Returns the mesh bodies.

The cage of Body type will enclose the selected mesh bodies

Created in NX1872.0.0

License requirements: None.

unsafe NXOpen.Point NXOpen.Features.MorphMeshCageBuilder.Origin
getset

Returns or sets the origin.

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: nx_polygon_modeling (" NX Polygon Modeling")

unsafe NXOpen.Expression NXOpen.Features.MorphMeshCageBuilder.OuterSize
get

Returns the outer size of torus.

Created in NX1872.0.0

License requirements: None.

unsafe NXOpen.Features.Subdivision.SelectCageObjectData NXOpen.Features.MorphMeshCageBuilder.PathObject
get

Returns the object as path of tube.

Created in NX1872.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.MorphMeshCageBuilder.Size
get

Returns the size.

Created in NX1872.0.0

License requirements: None.

unsafe int NXOpen.Features.MorphMeshCageBuilder.TorusCircularSegments
getset

Returns or sets the number of segments in circular direction for torus.

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: nx_polygon_modeling (" NX Polygon Modeling")

unsafe int NXOpen.Features.MorphMeshCageBuilder.TorusRadialSegments
getset

Returns or sets the number of segments in radial direction for torus.

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: nx_polygon_modeling (" NX Polygon Modeling")

unsafe NXOpen.GeometricUtilities.TransformerData NXOpen.Features.MorphMeshCageBuilder.Transformer
get

Returns the transformation tool.

Created in NX1872.0.0

License requirements: None.

unsafe int NXOpen.Features.MorphMeshCageBuilder.TubeSegments
getset

Returns or sets the number of tube segments.

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: nx_polygon_modeling (" NX Polygon Modeling")

unsafe NXOpen.Expression NXOpen.Features.MorphMeshCageBuilder.TubeSize
get

Returns the size of tube in cross section.

Created in NX1872.0.0

License requirements: None.

unsafe NXOpen.Features.MorphMeshCageBuilder.Types NXOpen.Features.MorphMeshCageBuilder.Type
getset

Returns or sets the type.

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: nx_polygon_modeling (" NX Polygon Modeling")

unsafe NXOpen.Expression NXOpen.Features.MorphMeshCageBuilder.WidthY
get

Returns the width in Y direction.

Created in NX1872.0.0

License requirements: None.

unsafe int NXOpen.Features.MorphMeshCageBuilder.XSegments
getset

Returns or sets the number of segments in X direction.

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: nx_polygon_modeling (" NX Polygon Modeling")

unsafe int NXOpen.Features.MorphMeshCageBuilder.YSegments
getset

Returns or sets the number of segments in Y direction.

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: nx_polygon_modeling (" NX Polygon Modeling")

unsafe int NXOpen.Features.MorphMeshCageBuilder.ZSegments
getset

Returns or sets the number of segments in Z direction.

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: nx_polygon_modeling (" NX Polygon Modeling")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.